import { repositories } from '../../database/dataSource.js';
/**
 * This function implements the functionality for handling GET requests on
 * /institutions endpoint.
 * @param req The incoming request.
 */
export const getInstitutions = async (req) => {
    await req.authorization.check_authorization_or_fail('view', `institution`);
    const institutions = await repositories.institution.find();
    return {
        status: 200,
        body: await Promise.all(institutions.map(repositories.institution.format)),
    };
};
//# sourceMappingURL=get.js.map